Create Validation Payment Request on Device

Initiate an asynchronous validation payment request on a specific cloud device. The device_id is specified in the URL path. Payment details (card number, expiration, CVV) are collected by the device itself, so they should not be included in the request body. This endpoint always operates in asynchronous mode. For synchronous payment processing with a device, use POST /api/v5/payments/validate with device_id in the request body. This endpoint uses the same underlying functionality as POST /api/v5/payments/validate.

Path Params
string
required

The unique identifier of the cloud device

Body Params

Payment request body. Note: device_id should not be included in the body as it is specified in the URL path. Payment details (payment_details object with card_number, card_exp, cvv) should not be included as the device will collect this information from the customer.

payment_details
object
required

Payment method details for credit card, ACH, or tokenized payments

string
enum

Industry type for the transaction

Allowed:
string

Base64 encoded signature image

billing_address
object

Billing address information for REST API payment transactions

merchant_defined_fields
object

Custom fields that can be set up in merchant control panel under Settings->Merchant Defined Fields

Responses

401

Unauthorized

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json